## org.freedesktop.UDisks2.Loop

org.freedesktop.UDisks2.Loop — Block device backed by a file

## Methods

    Delete       (IN  a{sv} options);
    SetAutoclear (IN  b     value,
                  IN  a{sv} options);

## Properties

    BackingFile  readable   ay
    Autoclear    readable   b
    SetupByUID   readable   u

## Description

This interface is used for org.freedesktop.UDisks2.Block devices that are loop devices.

## Method Details

### The Delete() method

    Delete (IN  a{sv} options);

Deletes the loop device.

`IN a{sv} `options``: | Options (currently unused except for standard options).

### The SetAutoclear() method

    SetAutoclear (IN  b     value,
                  IN  a{sv} options);

Setter for the "Autoclear" property. Since this may require authentication and thus may fail, it is implemented this way instead of the property being writable.

`IN b `value``: | The new value of autoclear.
`IN a{sv} `options``: | Options (currently unused except for standard options).

## Property Details

### The "BackingFile" property

    BackingFile  readable   ay

A path to the file that is backing the block device or blank if unknown.

### The "Autoclear" property

    Autoclear  readable   b

If `TRUE`, the kernel will automatically clear the loop device when the last closer closes the device. This typically happens when the loop device is unmounted.

### The "SetupByUID" property

    SetupByUID  readable   u

The id of the user who set up the loop device or 0 if set up by root or not through udisks.